SiManager (Social Portal ISTI Scheduler Support Library 0.2.4-SNAPSHOT API)
Date: 2014-02-24

org.gcube.portal.istischeduler

## Interface SiManager

- All Known Implementing Classes:
    LiferaySiManager

      public interface SiManager

  Author:
    Massimiliano Assante, ISTI-CNR

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addSiEntry(SiEntry entry)`
    `boolean` | `addSiLogEntry(Date logDate, String logResult, String logInfo)`
    `SiServerEntry` | `getSiEndPoint()`
    `SiEntry` | `getSiEntryById(long id)`
    `List<SiEntry>` | `listSiEntries()`
    `boolean` | `updateSiEntry(SiEntry toUpdate)`

- - ### Method Detail

    - #### addSiEntry

          boolean addSiEntry(SiEntry entry)
                             throws SQLException

      Parameters:
        `entry` - `SiEntry`
      Returns:
        true if the operation is successful
      Throws:
        `SQLException`

    - #### updateSiEntry

          boolean updateSiEntry(SiEntry toUpdate)
                                throws SQLException

      Parameters:
        `entry` - `SiEntry`
      Returns:
        true if the operation is successful
      Throws:
        `SQLException`

    - #### getSiEntryById

          SiEntry getSiEntryById(long id)
                                 throws SQLException

      Parameters:
        `id` - the id to look for
      Returns:
        the `SiEntry` instance or null if not exist
      Throws:
        `SQLException`

    - #### listSiEntries

          List<SiEntry> listSiEntries()
                                      throws SQLException

      Returns:
        alist of entries
      Throws:
        `SQLException`

    - #### addSiLogEntry

          boolean addSiLogEntry(Date logDate,
                              String logResult,
                              String logInfo)
                                throws SQLException

      Parameters:
        `logDate` - t_sistema_informativo_sync_log_data
        `logResult` - t_sistema_informativo_sync_log_result
        `logInfo` - t_sistema_informativo_sync_log_info
      Returns:
        true if the operation is successful
      Throws:
        `SQLException`

    - #### getSiEndPoint

          SiServerEntry getSiEndPoint()

      Returns:
        the endpoint of the si database

Copyright © 2014. All Rights Reserved.